=== debian/control ===
Source: ros-foxy-moveit-ros-warehouse
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-moveit-common, ros-foxy-moveit-core, ros-foxy-moveit-ros-planning, ros-foxy-rclcpp, ros-foxy-tf2-eigen, ros-foxy-tf2-ros, ros-foxy-warehouse-ros, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-ros-warehouse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-moveit-core, ros-foxy-moveit-ros-planning, ros-foxy-rclcpp, ros-foxy-tf2-eigen, ros-foxy-tf2-ros, ros-foxy-warehouse-ros, ros-foxy-ros-workspace
Description: Components of MoveIt connecting to MongoDB
